Classes | Enumerations

# dockart.h File Reference

## Classes
class | wxAuiDockArt
| wxAuiDockArt is part of the wxAUI class framework. More...
## Enumerations
enum | wxAuiPaneDockArtSetting { wxAUI_DOCKART_SASH_SIZE = 0, wxAUI_DOCKART_CAPTION_SIZE = 1, wxAUI_DOCKART_GRIPPER_SIZE = 2, wxAUI_DOCKART_PANE_BORDER_SIZE = 3, wxAUI_DOCKART_PANE_BUTTON_SIZE = 4, wxAUI_DOCKART_BACKGROUND_COLOUR = 5, wxAUI_DOCKART_SASH_COLOUR = 6, wxAUI_DOCKART_ACTIVE_CAPTION_COLOUR = 7, wxAUI_DOCKART_ACTIVE_CAPTION_GRADIENT_COLOUR = 8, wxAUI_DOCKART_INACTIVE_CAPTION_COLOUR = 9, wxAUI_DOCKART_INACTIVE_CAPTION_GRADIENT_COLOUR = 10, wxAUI_DOCKART_ACTIVE_CAPTION_TEXT_COLOUR = 11, wxAUI_DOCKART_INACTIVE_CAPTION_TEXT_COLOUR = 12, wxAUI_DOCKART_BORDER_COLOUR = 13, wxAUI_DOCKART_GRIPPER_COLOUR = 14, wxAUI_DOCKART_CAPTION_FONT = 15, wxAUI_DOCKART_GRADIENT_TYPE = 16 }
enum | wxAuiPaneDockArtGradients { wxAUI_GRADIENT_NONE = 0, wxAUI_GRADIENT_VERTICAL = 1, wxAUI_GRADIENT_HORIZONTAL = 2 }
enum | wxAuiPaneButtonState { wxAUI_BUTTON_STATE_NORMAL = 0, wxAUI_BUTTON_STATE_HOVER = 1, wxAUI_BUTTON_STATE_PRESSED = 2 }
enum | wxAuiButtonId { wxAUI_BUTTON_CLOSE = 101, wxAUI_BUTTON_MAXIMIZE_RESTORE = 102, wxAUI_BUTTON_MINIMIZE = 103, wxAUI_BUTTON_PIN = 104, wxAUI_BUTTON_OPTIONS = 105, wxAUI_BUTTON_WINDOWLIST = 106, wxAUI_BUTTON_LEFT = 107, wxAUI_BUTTON_RIGHT = 108, wxAUI_BUTTON_UP = 109, wxAUI_BUTTON_DOWN = 110, wxAUI_BUTTON_CUSTOM1 = 201, wxAUI_BUTTON_CUSTOM2 = 202, wxAUI_BUTTON_CUSTOM3 = 203 }

## Enumeration Type Documentation

enum wxAuiButtonId

Todo:
  TOWRITE

Enumerator:

  wxAUI_BUTTON_CLOSE |
  wxAUI_BUTTON_MAXIMIZE_RESTORE |
  wxAUI_BUTTON_MINIMIZE |
  wxAUI_BUTTON_PIN |
  wxAUI_BUTTON_OPTIONS |
  wxAUI_BUTTON_WINDOWLIST |
  wxAUI_BUTTON_LEFT |
  wxAUI_BUTTON_RIGHT |
  wxAUI_BUTTON_UP |
  wxAUI_BUTTON_DOWN |
  wxAUI_BUTTON_CUSTOM1 |
  wxAUI_BUTTON_CUSTOM2 |
  wxAUI_BUTTON_CUSTOM3 |

enum wxAuiPaneButtonState

Todo:
  TOWRITE

Enumerator:

  wxAUI_BUTTON_STATE_NORMAL |
  wxAUI_BUTTON_STATE_HOVER |
  wxAUI_BUTTON_STATE_PRESSED |

enum wxAuiPaneDockArtGradients

Todo:
  TOWRITE

Enumerator:

  wxAUI_GRADIENT_NONE |
  wxAUI_GRADIENT_VERTICAL |
  wxAUI_GRADIENT_HORIZONTAL |

enum wxAuiPaneDockArtSetting

Todo:
  TOWRITE

Enumerator:

  wxAUI_DOCKART_SASH_SIZE |
  wxAUI_DOCKART_CAPTION_SIZE |
  wxAUI_DOCKART_GRIPPER_SIZE |
  wxAUI_DOCKART_PANE_BORDER_SIZE |
  wxAUI_DOCKART_PANE_BUTTON_SIZE |
  wxAUI_DOCKART_BACKGROUND_COLOUR |
  wxAUI_DOCKART_SASH_COLOUR |
  wxAUI_DOCKART_ACTIVE_CAPTION_COLOUR |
  wxAUI_DOCKART_ACTIVE_CAPTION_GRADIENT_COLOUR |
  wxAUI_DOCKART_INACTIVE_CAPTION_COLOUR |
  wxAUI_DOCKART_INACTIVE_CAPTION_GRADIENT_COLOUR |
  wxAUI_DOCKART_ACTIVE_CAPTION_TEXT_COLOUR |
  wxAUI_DOCKART_INACTIVE_CAPTION_TEXT_COLOUR |
  wxAUI_DOCKART_BORDER_COLOUR |
  wxAUI_DOCKART_GRIPPER_COLOUR |
  wxAUI_DOCKART_CAPTION_FONT |
  wxAUI_DOCKART_GRADIENT_TYPE |

|  | [ top ]